package com.weather.common.exception;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

/**
 * @author : fengyuhao
 * @desc : 错误信息枚举
 * @update : 修改说明
 * @date : 2020/2/26-01:17
 */
@NoArgsConstructor
@AllArgsConstructor
@Getter
public enum  ExceptionEnum {
  //400各种可能。

    ERROR_USER_NOT_EXIST(400,"用户不存在"),
    ERROR_NOTFOUND(400,"数据未找到"),
    ERROR_PARAMS(400,"参数错误"),
    ERROR_LOGIN_SMALL(400,"小程序登录出错"),
    ERROR_DATA_NOT_EXIST(400,"查询信息不存在"),
    ERROR_USERNAME_OR_PASSWORD(400,"账号或密码错误"),
    ERROR_HTTPCONNECTION(400,"http链接错误"),
    ERROR_MISSING_ID(400,"主键id缺失"),
    ERROR_RECORD_NOT_EXIST(400,"记录不存在"),
    ERROR_ASSERT_PARAM(400,"参数异常"),
    ERROR_TOKEN_GET(401,"获取token失败"),
    ERROR_TOKEN(401,"登录已过期"),

    ;
    int code;
    String message;

}
